# Transceivr

Transfer files from source to target http location.

### API


### Prerequisites
* [JDK12](https://adoptopenjdk.net/?variant=openjdk12&jvmVariant=openj9)


### Usage
```python
Usage: <main class> -p=<port> [-w=<webroot>]
  -p, --port=<port>         HTTP Server port
  -w, --webroot=<webroot>   Use webroot from filesystem
```

```
./jdk-12+33-jre/bin/java -jar transceivr-1.0-SNAPSHOT-shaded.jar
```

## Deployment

[systemd service documentation](https://www.freedesktop.org/software/systemd/man/systemd.service.html)
```python
[Unit]
Description=Transceivr
After=syslog.target

[Service]
Type=notify
NotifyAccess=all
WorkingDirectory=/opt/myserver/
ExecStart=/usr/bin/java -server -jar transceivr.jar -p=8080
# WatchdogSec=30
Restart=always

[Install]
WantedBy=multi-user.target
```

## Built With

* [Spark](http://sparkjava.com/) - The web framework used
* [Maven](https://maven.apache.org/) - Dependency Management
* [OkHttp](http://square.github.io/okhttp/) - An HTTP & HTTP/2 client for Android and Java applications
* [SDNotify](https://github.com/faljse/SDNotify) - SDNotify implements the systemd notification protocol in Java.
